<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.unlinkChildAssets">var.unlinkChildAssets</Property>
		<Property name="var.id">var.id</Property>
		<Property name="var.resultSets">var.resultSets</Property>
		<Property name="var.session">var.session</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;body>&lt;id>15&lt;/id>&lt;resultSets>&lt;resultSet queryID="totalAssets">&lt;row>&lt;TOTAL>1&lt;/TOTAL>&lt;/row>&lt;/resultSet>&lt;resultSet queryID="totalParents">&lt;row>&lt;TOTAL>0&lt;/TOTAL>&lt;/row>&lt;/resultSet>&lt;resultSet queryID="totalChildren">&lt;row>&lt;TOTAL>0&lt;/TOTAL>&lt;/row>&lt;/resultSet>&lt;/resultSets>&lt;/body></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="ISErrorString">am-11</Property>
		<Property name="var.asset" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;ResultSets>&lt;resultSet queryID="asset"/>&lt;resultSet queryID="versions">&lt;row>&lt;VERSIONCOMMENT/>&lt;UPDATEDON>2017-07-26T11:34:18Z&lt;/UPDATEDON>&lt;UPDATEDBYUSERID>bpcadmin&lt;/UPDATEDBYUSERID>&lt;UPDATEDBYUSERDISPLAYNAME>bpcadmin&lt;/UPDATEDBYUSERDISPLAYNAME>&lt;/row>&lt;row>&lt;VERSIONCOMMENT/>&lt;UPDATEDON>2017-07-26T11:35:56Z&lt;/UPDATEDON>&lt;UPDATEDBYUSERID>bpcadmin&lt;/UPDATEDBYUSERID>&lt;UPDATEDBYUSERDISPLAYNAME>bpcadmin&lt;/UPDATEDBYUSERDISPLAYNAME>&lt;/row>&lt;row>&lt;VERSIONCOMMENT/>&lt;UPDATEDON>2017-07-26T11:37:03Z&lt;/UPDATEDON>&lt;UPDATEDBYUSERID>bpcadmin&lt;/UPDATEDBYUSERID>&lt;UPDATEDBYUSERDISPLAYNAME>bpcadmin&lt;/UPDATEDBYUSERDISPLAYNAME>&lt;/row>&lt;row>&lt;VERSIONCOMMENT/>&lt;UPDATEDON>2017-07-26T11:37:14Z&lt;/UPDATEDON>&lt;UPDATEDBYUSERID>bpcadmin&lt;/UPDATEDBYUSERID>&lt;UPDATEDBYUSERDISPLAYNAME>bpcadmin&lt;/UPDATEDBYUSERDISPLAYNAME>&lt;/row>&lt;row>&lt;VERSIONCOMMENT/>&lt;UPDATEDON>2017-07-26T11:40:14Z&lt;/UPDATEDON>&lt;UPDATEDBYUSERID>bpcadmin&lt;/UPDATEDBYUSERID>&lt;UPDATEDBYUSERDISPLAYNAME>bpcadmin&lt;/UPDATEDBYUSERDISPLAYNAME>&lt;/row>&lt;row>&lt;VERSIONCOMMENT/>&lt;UPDATEDON>2017-07-26T11:40:26Z&lt;/UPDATEDON>&lt;UPDATEDBYUSERID>bpcadmin&lt;/UPDATEDBYUSERID>&lt;UPDATEDBYUSERDISPLAYNAME>bpcadmin&lt;/UPDATEDBYUSERDISPLAYNAME>&lt;/row>&lt;row>&lt;VERSIONCOMMENT/>&lt;UPDATEDON>2017-07-31T17:53:06Z&lt;/UPDATEDON>&lt;UPDATEDBYUSERID>bpcadmin&lt;/UPDATEDBYUSERID>&lt;UPDATEDBYUSERDISPLAYNAME>bpcadmin&lt;/UPDATEDBYUSERDISPLAYNAME>&lt;/row>&lt;/resultSet>&lt;resultSet queryID="customAttributes"/>&lt;resultSet queryID="contacts"/>&lt;resultSet queryID="children"/>&lt;resultSet queryID="parents"/>&lt;/ResultSets></Property>
		<Property name="ISModuleId">3</Property>
		<Property name="var.resultSets" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;ResultSets>&lt;resultSet queryID="totalAssets">&lt;row>&lt;TOTAL>1&lt;/TOTAL>&lt;/row>&lt;/resultSet>&lt;resultSet queryID="totalParents">&lt;row>&lt;TOTAL>0&lt;/TOTAL>&lt;/row>&lt;/resultSet>&lt;resultSet queryID="totalChildren">&lt;row>&lt;TOTAL>0&lt;/TOTAL>&lt;/row>&lt;/resultSet>&lt;/ResultSets></Property>
		<Property name="sessionForGetAsset" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1501523802002&lt;/startTimestamp>&lt;method>get&lt;/method>&lt;parameters>&lt;id/>&lt;/parameters>&lt;/request>&lt;configuration>&lt;api xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>mssql&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT0H1M0S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>mssql&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>bpcadmin&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>10XCH-SWISSGRID2&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM_organization_16103&lt;/role>&lt;role>VAM_organization_apg&lt;/role>&lt;role>VAM_organization_EAA&lt;/role>&lt;role>VAM_organization_ebix&lt;/role>&lt;role>VAM_organization_FPM&lt;/role>&lt;role>VAM_organization_mcs&lt;/role>&lt;role>VAM_organization_mcsgud&lt;/role>&lt;role>VAM_organization_PF&lt;/role>&lt;role>VAM_organization_shawcose&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>VAM_organization_wpm&lt;/role>&lt;role>EAI Developer&lt;/role>&lt;role>bpcAdmin&lt;/role>&lt;role>bpcUser&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>PF&lt;/id>&lt;displayName>PF&lt;/displayName>&lt;name/>&lt;configuration>&lt;am>&lt;overviewsNOT>&lt;overview>&lt;type>grid&lt;/type>&lt;information>&lt;en>The authorization logic in the Javascript client is currently much less fine-grained. This reflects that not all combinations are sensible: nothing is possible (if any 'query' or 'get' permission for 'template', 'asset', 'query' or 'person' is missing) access - i.e., the asset management UI appears at all. three rights for creating, editing and deleting assets (determined from the permissions above) - even here, it appears strange to allow creating without editing. two rights for creating and editing persons (determined from the permission above) - currently persons cannot be deleted at all."&lt;/en>&lt;/information>&lt;/overview>&lt;/overviewsNOT>&lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;/user>&lt;/session></Property>
		<Property name="var.unlinkChildAssets">false</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISProcessId">11350722</Property>
		<Property name="ISModuleName">VAM_am_assign</Property>
		<Property name="ISErrorModuleId">3</Property>
		<Property name="ISInvokingModule">VAM_am_wfc_024_deleteAsset</Property>
		<Property name="ISCurrentTime">1501524028549</Property>
		<Property name="ISInvokingWorkflow">VAM_am_008_asset</Property>
		<Property name="ISWorkflowName">VAM_am_063_hooking</Property>
		<Property name="ISGlobalProcessId">11350567</Property>
		<Property name="ISErrorKey">am-11</Property>
		<Property name="ISErrorModuleName">VAM_am_wfc_020_getAsset</Property>
		<Property name="ISServerName">dev03.virtimo.net</Property>
		<Property name="var.id">669</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;parameters>&lt;id>669&lt;/id>&lt;unlinkChildAssets>false&lt;/unlinkChildAssets>&lt;/parameters>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1501523802002&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>oracle&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT0H1M0S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>mssql&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName&gt;&lt;loginName>bpcadmin&lt;/loginName>&lt;name>bpcadmin&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>10XCH-SWISSGRID2&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM_organization_16103&lt;/role>&lt;role>VAM_organization_apg&lt;/role>&lt;role>VAM_organization_EAA&lt;/role>&lt;role>VAM_organization_ebix&lt;/role>&lt;role>VAM_organization_FPM&lt;/role>&lt;role>VAM_organization_mcs&lt;/role>&lt;role>VAM_organization_mcsgud&lt;/role>&lt;role>VAM_organization_PF&lt;/role>&lt;role>VAM_organization_shawcose&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>VAM_organization_wpm&lt;/role>&lt;role>EAI Developer&lt;/role>&lt;role>bpcAdmin&lt;/role>&lt;role>bpcUser&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>PF&lt;/id>&lt;displayName>PF&lt;/displayName>&lt;name/>&lt;configuration>&lt;am>&lt;overviewsNOT>&lt;overview&gt;&lt;type>grid&lt;/type>&lt;information>&lt;en>The authorization logic in the Javascript client is currently much less fine-grained. This reflects that not all combinations are sensible: nothing is possible (if any 'query' or 'get' permission for 'template', 'asset', 'query' or 'person' is missing) access - i.e., the asset management UI appears at all. three rights for creating, editing and deleting assets (determined from the permissions above) - even here, it appears strange to allow creating without editing. two rights for creating and editing persons (determined from the permission above) - currently persons cannot be deleted at all."&lt;/en>&lt;/information>&lt;/overview>&lt;/overviewsNOT>&lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;/user>&lt;/session></Property>
		<Property name="var.log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;name/></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>&lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:param name="var.unlinkChildAssets"/>&lt;xsl:param name="var.id"/>&lt;xsl:param name="var.resultSets" as="element()"/>
  &lt;xsl:param name="var.session" as="element()"/>
  &lt;xsl:template match="/">
    &lt;xsl:variable name="currentDateTime" select="am:currentDateTimeForDB()"/>
    &lt;queries>&lt;query properties="force" queryID="deletion">
        &lt;value>
update assets

set arelease = arelease + 1, deleted = '1',
deletedOn = &lt;xsl:value-of select="am:timestampToDB($currentDateTime)"/>,
deletedByUserId = &lt;xsl:value-of select="am:stringToDB($var.session/user/id)"/>  where organizationId = &lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id)"/>
and id = &lt;xsl:value-of select="am:numberToDB($var.id)"/>
        &lt;/value>
      &lt;/query>
      &lt;xsl:if test="$var.unlinkChildAssets = 'true'">&lt;query properties="force" queryID="children">
        &lt;value>delete from ass_children 
where assetId = 
&lt;xsl:value-of select="am:numberToDB($var.id)"/>
        &lt;/value>
      &lt;/query>&lt;/xsl:if>&lt;query properties="force">&lt;value>&lt;xsl:text>update organizations set orelease = orelease + 1 where id = &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id)"/>&lt;/value>&lt;/query>
    &lt;/queries>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>